Subject: Re: BUG() in current git, __dma_alloc_coherent, Beige G3

From: "Gerhard Pircher" <[email-masked]>
Date: Mon, 16 Jun 2008 09:03:59 +0200

-------- Original-Nachricht --------
> Datum: Mon, 16 Jun 2008 14:50:38 +1000
> Von: Benjamin Herrenschmidt <[email-masked]>
> An: Joseph Fannin <[email-masked]>
> CC: [email-masked]
> Betreff: Re: BUG() in current git, __dma_alloc_coherent, Beige G3

> > This is 100% reproducable.  I can't really recall the last kernel I
> > built and booted successfully on this box -- the best I can say is
> > that the 2.6.24-ish kernel Ubuntu ships works.
> > 
> > I should probably mention that I've been having a little trouble with
> > the IDE drive in this machine -- but the drive isn't the problem:
> > 
> >     * This is 100% reproducible with the current git kernel, and
> >           doesn't happen w/the Ubuntu kernel
> >     * The traceback and dump does not vary between boots
> >     * The kernel BUGs out well before the disks are detected (and it's
> >           a _drive_ problem)
> > 
> > ... etc.  :-)  I don't want to send anyone on a wild goose chase, but
> > yeah, it's not the hardware.  ;-)
> > 
> > So, what can I do to help find the problem here?  Git says no one's
> > touched that file in a while, and tracing through this problem is
> > above my skill level here.  I'll attach my .config, and put the
> > vmlinux up:
I discovered this bug some time ago and reported it on the list.
See here for more info:
http://ozlabs.org/pipermail/linuxppc-dev/2008-May/056128.html
Anyway I don't think your machine needs dma-noncoherent.

best regards,

Gerhard

-- 
Psssst! Schon vom neuen GMX MultiMessenger gehört?
Der kann`s mit allen: http://www.gmx.net/de/go/multimessenger